/*
 * Licensed Materials - Property of IBM
 * 5724-L17 WebSphere Premises Server
 * (c) Copyright IBM Corp. 2008  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following code is sample code 
 * created by IBM Corporation.  This sample code is part of the 
 * WebSphere Premises Server and is warranted to perform its 
 * intended function only if used un-modified.  If you modify 
 * this code then it is considered provided "AS IS", without 
 * warranty of any kind.  Notwithstanding the foregoing, IBM 
 * shall not be liable for any damages arising out of your use 
 * of the sample code, even if they have been advised of the 
 * possibility of such damages.
 */
package com.ibm.trackntrace.usecases;

import java.util.logging.Logger;

public class Reprint extends AbstractUseCase {

	private String clsName = Reprint.class.getName();

	/**
	 * Create the Reprint object
	 * @param locationID
	 */
	public Reprint(String locationID) {
		theLogger.finest("Creating Reprint with with location ID = "
				+ locationID);
		this.location = locationID;
	}

	/**
	 * Logger for this class. Log level can be adjusted from the WAS admin
	 * console
	 */
	private static Logger theLogger = Logger.getLogger(AbstractUseCase.class
			.getName());

}
