package com.ibm.trackntrace.utils;

import java.io.IOException;
import java.util.logging.Logger;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;


public class LoginFilter implements Filter {
	protected static Logger log = null;
	static {
		log = Logger.getLogger("LoginFilter");
	}
	
    protected FilterConfig filterConfig = null;
    
    public void destroy() {
       //filterConfig.getServletContext().log("LoginFilter - destroy");
       log.fine("LoginFilter: destroy");
       filterConfig = null;
    }
 
    public void doFilter(ServletRequest req, ServletResponse resp,
             FilterChain chain) throws ServletException, IOException {
    	
    	String usr = req.getParameter("j_username");
    	String pwd = req.getParameter("j_password");
    	
        //filterConfig.getServletContext().log("LoginFilter - doFilter" + "req=" + req + "resp=" + resp);
    	log.fine("LoginFilter:" + "req=" + req + "resp=" + resp);
    	log.fine("LoginFilter: usr='" + usr + "' pwd='" + pwd + "'");
    	
        chain.doFilter(req, resp);
    }
    
    public void init(FilterConfig config) throws ServletException {
        filterConfig = config;
        //filterConfig.getServletContext().log("LoginFilter - init - config=" + config);
        log.fine("LoginFilter: init - config=" + config);
    }
}