<%-- tpl:insert page="/templateShow.jtpl" --%><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<html:html>
	<HEAD>
		<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
		<META name="GENERATOR" content="IBM Software Development Platform">
		<META http-equiv="Content-Style-Type" content="text/css">
		<LINK href="${pageContext.request.contextPath}/theme/Master.css" rel="stylesheet" type="text/css">
<%-- tpl:put name="headarea" --%>
		<TITLE><bean:message key='receivingOrderWarningPageTitle'/></TITLE>
<%-- /tpl:put --%>
	</HEAD>
	<BODY onLoad="javascript:init();">
		<SCRIPT language="JAVASCRIPT" SRC="${pageContext.request.contextPath}/js/basic.js"></SCRIPT>
		<SCRIPT language="JAVASCRIPT">
			function logError(msg) {
				var msgArea = findPageElement("msgArea");
				if (msgArea != null) {
					msgArea.innerHTML=msg;
				} else {
					alert(msg);
				}
			}
       		function clrScrn () {
            	var msgArea = findPageElement("msgArea"); 
            	if (msgArea != null) {
                	msgArea.innerHTML = "";
            	}
        	}
        	function checkLastError() {
				var form = findPageElement("formData");
				if (form.lastError.value != null) {
					logError(form.lastError.value);
					form.lastError.value = "";
				} else {
					clearScrn();
				}
			}
			function handle_bc() {

            		var bc_elem = findPageElement("bc_input");
            		if (bc_elem != null) {
            			var bc = bc_elem.value;
            			if (bc.length > 0) {
            				logError("Acquired: " + bc);
            				var form = findPageElement("formData");
            				if (form != null) {
            					form.serialNumber.value = bc;
            					pendingAction = 1;
            					form.submit();
            				} else {
            					logError("Could not find the formData form.");
            				}
            			} else {
            				logError("Empty bar code read.");
            			}
            		} else {
            			logError("Cannot acquire bc_elem.");
            		}
            }
			function start() {
				var form = findPageElement("formData");
				if (form != null) {
					form.command.value="Confirm";
					form.submit();
				} else {
					logError("Cannot find formData page element.");
				}
			}
			function cancel() {
				var form = findPageElement("formData");
				if (form != null) {
					form.command.value="Cancel";
					form.submit();
				} else {
					logError("Cannot find formData page element.");
				}
			}
			function init() {
				checkLastError();
			}
		</SCRIPT>

		<table><tr><td align="center">
		<jsp:useBean id='formData' class='com.ibm.trackntrace.forms.FormData' type='com.ibm.trackntrace.forms.FormData' scope='request'/>
		<html:errors/>
        <span class='error' id='msgArea'></span>
<%-- tpl:put name="contentarea" --%>
		<bean:message key='receivingOrderWarningPageTitleShow'/>
		<html:form action="/receiving">
			<input type="hidden" name="station" value="<c:out value='${formData.station}'/>"/>
			<input type="hidden" name="printer" value="<c:out value='${formData.printer}'/>"/>
			<input type="hidden" name="req_url" value="<c:out value='${formData.req_url}'/>"/>
			<input type="hidden" name="screen" value="ReceivingOrderWarning"/>
			<input type="hidden" name="bizLocation" value="<c:out value='${formData.bizLocation}'/>"/>
			<input type="hidden" name="timeZoneOffset" value="<c:out value='${formData.timeZoneOffset}'/>"/>
			<input type="hidden" name="command" value="__default_command__"/>
			
			<input type="hidden" name="userName" value="<c:out value='${formData.userName}'/>"/>
			<input type="hidden" name="userId" value="<c:out value='${formData.userId}'/>"/>
			<input type="hidden" name="destinationId" value="<c:out value='${formData.destinationId}'/>"/>
			<input type="hidden" name="disposition" value="<c:out value='${formData.disposition}'/>"/>

			<input type="hidden" name="serialNumber" value="<c:out value='${formData.serialNumber}'/>"/>
			<input type="hidden" name="epcUrn" value="<c:out value='${formData.epcUrn}'/>"/>
			<input type="hidden" name="palletTag" value="<c:out value='${formData.palletTag}'/>"/>
			<input type="hidden" name="palletUrn" value="<c:out value='${formData.palletUrn}'/>"/>
			<input type="hidden" name="caseTag" value="<c:out value='${formData.caseTag}'/>"/>
			<input type="hidden" name="caseUrn" value="<c:out value='${formData.caseUrn}'/>"/>
			<input type="hidden" name="unitTag" value="<c:out value='${formData.unitTag}'/>"/>
			<input type="hidden" name="unitUrn" value="<c:out value='${formData.unitUrn}'/>"/>
			<input type="hidden" name="orderNumber" value="<c:out value='${formData.orderNumber}'/>"/>
			<input type="hidden" name="lastOrderNum" value="<c:out value='${formData.lastOrderNum}'/>"/>
			<input type="hidden" name="caseCount" value="<c:out value='${formData.caseCount}'/>"/>
			<input type="hidden" name="unitCount" value="<c:out value='${formData.unitCount}'/>"/>
			<input type="hidden" name="palletNum" value="<c:out value='${formData.palletNum}'/>"/>
			<input type="hidden" name="palletCnt" value="<c:out value='${formData.palletCnt}'/>"/>
			<input type="hidden" name="numTagsScanned" value="<c:out value='${formData.numTagsScanned}'/>"/>
			<input type="hidden" name="needTagCounter" value="<c:out value='${formData.needTagCounter}'/>"/>

			<input type="hidden" name="displayData" value="<c:out value='${formData.displayData}'/>"/>
			<input type="hidden" name="lastError" value="<c:out value='${formData.lastError}'/>"/>

			<bean:message key='receivingOrderWarningText'/>
			<p>
            <table>
				<tr><td align=center>
						<a class='button' href="#" onClick="start();"><bean:message key='btnConfirm'/></a>
				</td></tr>				
				<tr><td align=center>
						<a class='button' href="#" onClick="cancel();"><bean:message key='btnCancel'/></a>
				</td></tr>
			</table>
			<!-- <bean:message key='centeringString'/> -->

		</html:form>
<%-- /tpl:put --%>
		</td></tr></table>
	</BODY>
</html:html>
<%-- /tpl:insert --%>