<%-- tpl:insert page="/templateScanBarcode.jtpl" --%><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<html:html>
	<HEAD>
		<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
		<META name="GENERATOR" content="IBM Software Development Platform">
		<META http-equiv="Content-Style-Type" content="text/css">
		<LINK href="${pageContext.request.contextPath}/theme/Master.css" rel="stylesheet" type="text/css">
<%-- tpl:put name="headarea" --%>
		<TITLE><bean:message key='splitPalletScanCasePageTitle' /></TITLE>
	<%-- /tpl:put --%>
	</HEAD>
	<BODY onLoad="javascript:init();" >
		<SCRIPT language="JAVASCRIPT" SRC="js/basic.js"></SCRIPT>
		<SCRIPT language="JAVASCRIPT">
            
            var pendingAction = 0;
            
			function logError(msg) {
				var msgArea = findPageElement("msgArea");
				if (msgArea != null) {
					msgArea.innerHTML=msg;
				} else {
					alert(msg);
				}
			}
       		function clrScrn () {
            	var msgArea = findPageElement("msgArea"); 
            	if (msgArea != null) {
                	msgArea.innerHTML = "";
            	}
        	}
			function checkLastError() {
				var form = findPageElement("formData");
				if (form.lastError.value != null) {
					logError(form.lastError.value);
					form.lastError.value = "";
				} else {
					clearScrn();
				}
			}
			function cancel() {
            	if (pendingAction == 0) {
					var form = findPageElement("formData");
					if (form != null) {
						form.command.value="Cancel";
						form.submit();
					} else {
						logError("Cannot find formData page element.");
					}
				} else {
            		logError("Server operation still pending....");
            	}
			}
			function mainMenu() {
            	if (pendingAction == 0) {
					var form = findPageElement("formData");
					if (form != null) {
						form.command.value="MainMenu";
						form.submit();
					} else {
						logError("Cannot find formData page element.");
					}
				} else {
            		logError("Server operation still pending....");
            	}
			}
            function handle_bc() {
            	if (pendingAction == 0) {
            		var bc_elem = findPageElement("bc_input");
            		if (bc_elem != null) {
            			var bc = bc_elem.value;
            			if (bc.length > 0) {
            				logError("Acquired: " + bc);
            				var form = findPageElement("formData");
            				if (form != null) {
            					form.serialNumber.value = bc;
            					pendingAction = 1;
            					form.submit();
            				} else {
            					logError("Could not find the formData form.");
            				}
            			} else {
            				logError("Empty bar code read.");
            			}
            		} else {
            			logError("Cannot acquire bc_elem.");
            		}
				} else {
            		logError("Server operation still pending....");
            	}
            }
            function start() {
            	if (pendingAction == 0) {
            		var form = findPageElement("formData");
            		if (form != null) {
            			if (form.serialNumber.value.length > 0) {
            				pendingAction = 1;
            				form.submit();
            			} else {
            				logError("Please scan a barcode.");
            			}
          	 		} else {
          	 			logError("Could not find the formData form.");
					}
            	} else {
            		logError("Server operation still pending....");
            	}
            }
            function done() {
            	if (pendingAction == 0) {
            		var form = findPageElement("formData");
            		if (form != null) {
            			form.command.value = "Done";
            			form.submit();
           			} else {
           				logError("Could not find the formData form.");
            		}
            	} else {
            		logError("Server operation still pending....");
            	}
            }
            function rebuild() {
            	if (pendingAction == 0) {
            		var form = findPageElement("formData");
            		if (form != null) {
            			form.command.value = "Rebuild";
            			form.submit();
           			} else {
           				logError("Could not find the formData form.");
            		}
            	} else {
            		logError("Server operation still pending....");
            	}
            }
            function undo() {
            	if (pendingAction == 0) {
            		var form = findPageElement("formData");
            		if (form != null) {
            			form.command.value = "Undo";
            			form.submit();
           			} else {
           				logError("Could not find the formData form.");
            		}
            	} else {
            		logError("Server operation still pending....");
            	}
            }
            function init() {
            	checkLastError();
            	focus("bc_input");
            	form = findPageElement("formData");
            	if (form.screen.value == "Returns") {
            		if (form.disposition.value == null || form.disposition.value == "") {
            			form.disposition.value = "destroy";
            		}	
            	}
            }
            function chkField(name) {
            	var form = findPageElement("formData");
            	if (form == null) {
            		logError("Could not find the formData form.");
            	} else if (name == "destroy") {
            		//logError("destroy clicked");
            		form.disposition.value = "destroy";
            	} else if (name == "return") {
            		//logError("return clicked");
            		form.disposition.value = "return";
            	}
            }
<!-- tpl:insert attribute="codearea" -->

<!-- /tpl:insert -->      
    
		</SCRIPT>
		
		<table><tr><td align="center">
		<jsp:useBean id='formData' class='com.ibm.trackntrace.forms.FormData' type='com.ibm.trackntrace.forms.FormData' scope='request'/>
		<html:errors/>
        <span class='error' id='msgArea'></span>
        
<%-- tpl:put name="contentarea" --%>
				<bean:message key='splitPalletScanCasePageTitleShow' />
				<html:form action="/splitPallet">
					<input type="hidden" name="station"
						value="<c:out value='${formData.station}'/>" />
					<input type="hidden" name="bizLocation"
						value="<c:out value='${formData.bizLocation}'/>" />
					<input type="hidden" name="timeZoneOffset"
						value="<c:out value='${formData.timeZoneOffset}'/>" />
					<input type="hidden" name="req_url"
						value="<c:out value='${formData.req_url}'/>" />
					<input type="hidden" name="screen" value="SplitPallet" />
					<input type="hidden" name="command" value="GotCase" />
					<input type="hidden" name="userName"
						value="<c:out value='${formData.userName}'/>" />
					<input type="hidden" name="userId"
						value="<c:out value='${formData.userId}'/>" />
					<input type="hidden" name="lastError"
						value="<c:out value='${formData.lastError}'/>" />
					<input type="hidden" name="serialNumber"
						value="<c:out value='${formData.serialNumber}'/>" />
					<input type="hidden" name="orderNumber"
						value="<c:out value='${formData.orderNumber}'/>" />
					<input type="hidden" name="numTagsScanned"
						value="<c:out value='${formData.numTagsScanned}'/>" />
					<input type="hidden" name="palletTag"
						value="<c:out value='${formData.palletTag}'/>" />
					<input type="hidden" name="palletUrn"
						value="<c:out value='${formData.palletUrn}'/>" />
					<input type="hidden" name="caseCount"
						value="<c:out value='${formData.caseCount}'/>" />
					<input type="hidden" name="caseTag"
						value="<c:out value='${formData.caseTag}'/>" />
					<input type="hidden" name="caseUrn"
						value="<c:out value='${formData.caseUrn}'/>" />
					<input type="hidden" name="unitCount"
						value="<c:out value='${formData.unitCount}'/>" />
					<input type="hidden" name="unitTag"
						value="<c:out value='${formData.unitTag}'/>" />
					<input type="hidden" name="unitUrn"
						value="<c:out value='${formData.unitUrn}'/>" />

					<c:forEach items='${formData.tagList}' var="tagItem">
						<input type="hidden" name="tagList" value='${tagItem}' />
					</c:forEach>

					<table>
						<tr>
							<th><bean:message key='lastCaseScanned' /></th>
							<td><c:out value='${formData.caseTag}' /></td>
						</tr>
						<tr>
							<th><bean:message key='caseCount' /></th>
							<td><c:out value='${formData.caseCount}' /></td>
						</tr>
						<tr>
							<th><bean:message key='palletTag' /></th>
							<td><c:out value='${formData.palletTag}' /></td>
						</tr>
					</table>
					<table>
						<tr>
							<td align=center><input type="text" name='bc_input'
								id='bc_input' class='bc_input' onchange="handle_bc();" /></td>
						</tr>
					</table>
					<p>
					<table>
						<tr>
							<td align=center><a class='button' href="#"
								onClick="done();"><bean:message key='btnDone' /></a></td>
						</tr>
						<tr>
							<td align=center><a class='button' href="#"
								onClick="undo();"><bean:message key='btnUndo' /></a></td>
						</tr>
						<tr>
							<td align=center><a class='button' href="#"
								onClick="cancel();"><bean:message key='btnCancel' /></a></td>
						</tr>
					</table>
					<c:choose>
						<c:when
							test='${(formData.displayData != null) && (formData.displayData != "")}'>
							<c:out value='${formData.displayData}' escapeXml="false" />
						</c:when>
						<c:otherwise>
							<bean:message key='centeringString' />
						</c:otherwise>
					</c:choose>
				</html:form>
			<%-- /tpl:put --%>

		</td></tr></table>
	</BODY>
</html:html>
<%-- /tpl:insert --%>
