package com.ibm.trackntrace.utils;

import java.io.IOException;
import java.util.logging.Logger;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;


public class LoginErrorFilter implements Filter {
	protected static Logger log = null;
	static {
		log = Logger.getLogger("LoginErrorFilter");
	}
	
    protected FilterConfig filterConfig = null;
    
    public void destroy() {
       filterConfig.getServletContext();
       log.fine(":: PostLoginErrorFilter - destroy");
       filterConfig = null;
    }
 
    public void doFilter(ServletRequest req, ServletResponse resp,
             FilterChain chain) throws ServletException, IOException {
			
       filterConfig.getServletContext();
       log.fine(":: PostLoginErrorFilter - doFilter" + "req=" + req + "resp=" + resp);
			
       chain.doFilter(req, resp);
    }
    
    public void init(FilterConfig config) throws ServletException {
       filterConfig = config;
       //filterConfig.getServletContext().log(":: PostLoginFilter - init");
       log.fine(":: PostLoginErrorFilter - init - config=" + config);
    }
}