package com.ibm.trackntrace.utils;
/*
 *  these roles map directly in WAS to user names from the user repository. 
 *  that mapping is checked by the action handlers to verify authorization
 *  but WAS controls login by watching most of the pages.
 */
public class RoleDefs {
	public static final java.lang.String ADMIN = "administrator";
	public static final java.lang.String SUPER = "supervisor";
	public static final java.lang.String DAMAGED = "damaged";
	public static final java.lang.String SHIPPER = "shipper";
	public static final java.lang.String RECEIVER = "receiver";
	public static final java.lang.String SPLITTER = "splitter";
	public static final java.lang.String SAMPLER = "sampler";
	public static final java.lang.String RETURNS = "returns";
	public static final java.lang.String RECOMMISSION = "recommission";
	public static final java.lang.String REPRINT = "reprint";
	public static final java.lang.String ANY = "any";
	
	public static final java.lang.String allRoles[] = {
		ADMIN, SUPER, DAMAGED, SHIPPER, RECEIVER, SPLITTER, SAMPLER, RETURNS, RECOMMISSION, REPRINT 		
	};
}
